package com.bytedance.android.live.wallet.model;

import X.AnonymousClass176;
import X.C24970z9;
import X.C38731gF;
import com.bytedance.covode.number.Covode;

public class CheckOrderOriginalResult extends C24970z9<AnonymousClass176, C38731gF> {
    public Exception exception;
    public String orderId;
    public String payChannel;
    public int retry;

    static {
        Covode.recordClassIndex(10887);
    }

    public Exception getException() {
        return this.exception;
    }

    public String getOrderId() {
        return this.orderId;
    }

    public String getPayChannel() {
        return this.payChannel;
    }

    public int getRetry() {
        return this.retry;
    }

    public AnonymousClass176 getData() {
        return (AnonymousClass176) this.data;
    }

    public C38731gF getExtra() {
        return (C38731gF) this.extra;
    }

    public int getStatus() {
        if (this.data == null) {
            return 0;
        }
        return ((AnonymousClass176) this.data).LIZ;
    }

    public String toString() {
        return "CheckOrderOriginalResult{data=" + this.data + ", extra=" + this.extra + ", retry=" + this.retry + ", orderId='" + this.orderId + '\'' + ", exception=" + this.exception + '}';
    }

    public void setData(AnonymousClass176 r1) {
        this.data = r1;
    }

    public CheckOrderOriginalResult setException(Exception exc) {
        this.exception = exc;
        return this;
    }

    public void setExtra(C38731gF r1) {
        this.extra = r1;
    }

    public CheckOrderOriginalResult setOrderId(String str) {
        this.orderId = str;
        return this;
    }

    public void setPayChannel(String str) {
        this.payChannel = str;
    }

    public CheckOrderOriginalResult setRetry(int i) {
        this.retry = i;
        return this;
    }

    public CheckOrderOriginalResult setStatus(int i) {
        if (this.data == null) {
            this.data = new AnonymousClass176();
        }
        ((AnonymousClass176) this.data).LIZ = i;
        return this;
    }
}
